<div class="container" *ngIf="authService.isLogged | async">

    <ng-container *ngIf="isAdministrador || isFuncionario || isDisenador">
        <mat-toolbar>
            <span> Crear SubTarea </span>
            <span *ngFor="let a in "></span>
            <div class="example-spacer"></div>
            <button mat-raised-button routerLink="/listarMisTareas">Volver</button>

        </mat-toolbar>

        <mat-card style="margin-top: 5px;">
            <form [formGroup]="nuevoForm" (ngSubmit)="postForm(nuevoForm.value)">
                <mat-grid-list cols="4" rowHeight="80px">

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Nombre Subtarea</mat-label>
                            <input matInput autocomplete="off" formControlName="nombre_subtarea">

                        </mat-form-field>
                    </mat-grid-tile>

                    <mat-grid-tile [colspan]="3" [rowspan]="6">
                        <img class="imagen" src="./assets/img/add-subtarea.svg">
                    </mat-grid-tile>

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Descripcion</mat-label>
                            <textarea matInput placeholder="Ex. It makes me feel..."
                                formControlName="descripcion_subtarea"></textarea>
                        </mat-form-field>
                    </mat-grid-tile>
                    

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Fecha Plazo</mat-label>
                            <input matInput [matDatepicker]="picker" formControlName="fecha_plazo">
                            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                            <mat-datepicker #picker></mat-datepicker>
                        </mat-form-field>
                    </mat-grid-tile>
                    

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <button mat-raised-button color="primary" type="submit" [disabled]="nuevoForm.invalid"
                            class="ancho">Aceptar</button>
                    </mat-grid-tile>

                </mat-grid-list>

            </form>
        </mat-card>
    </ng-container>

</div>